Family : Provider
All operations require authentication.
List circuitsProduction
Returns the IDs of the circuits created from Google pairing keys.
Path parameters
Service name
Response
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ circuit \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
List service keysProduction
Returns the IDs of all service keys generated for the provider, current and past.
Path parameters
Service name
Response
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ serviceKey \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get circuitProduction
Returns the circuit's pairing key, status and operational status.
Path parameters
Id
Service name
Response
Creation date of the circuit
Date when the circuit was terminated
Circuit id
Pairing key of the circuit
Last update date of the circuit
Circuit name
Operational status of the circuit
degradeddownunknownupCircuit status
activependingpending_customerterminatedto_checkExample uses id = 0, serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ circuit/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "id": 0, "key": "string", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "operationalStatus": "degraded", "status": "active"}
Get service keyProduction
Returns the key value, its provider and its status.
Path parameters
Service key ID
Service name
Response
Service Key id
Reference of the service
Service Key provider
OVHcloudRISQconsoleconnectdcexpdigitalrealtyedgeequinixfibrenoiregoogleintercloudinternalinterxionmegaportorangeService Key status
activecancelleddoingterminatedtoCheckExample uses serviceKeyId = 0, serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ serviceKey/ {serviceKeyId} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "key": "string", "provider": "OVHcloud", "status": "active"}
Associate pairing keyProduction
Consumes a Google Cloud Partner Interconnect pairing key to create a circuit; the service needs a vRack (async task).
Path parameters
Service name
Query parameters
Google pairing key
Response
Task function
addDatacenterConfigurationaddDatacenterExtraConfigurationaddPopConfigurationaddVrackconsumePairingKeydelDatacenterConfigurationdelDatacenterExtraConfigurationdelPopConfigurationdeleteCircuitdiagAccessEdgediagMacsdiagPeeringdiagPeeringExtradiagRouteslockInterfaceremoveVrackresetEdgeConfigurationunlockInterfaceTask id
Reference of the created resource
Task status
denieddoingdoneerrorpausetodoExample uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ pairingKey \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "addDatacenterConfiguration", "id": 0, "resourceId": 0, "status": "denied"}
Send service keyProduction
Emails the key value to the given address.
Path parameters
Service key ID
Service name
Request body (required)
Email address to send the key
Response
message code for UX to display appropriate text
mailSentExample uses serviceKeyId = 0, serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ serviceKey/ {serviceKeyId}/ send \
-H "authorization: Bearer $OVH_TOKEN"{ "messageCode": "mailSent"}
Regenerate service keyProduction
Generates a new key that the provider uses to set up the connection; previous service key is no longer active.
Path parameters
Service key ID
Service name
Response
Service Key id
Reference of the service
Service Key provider
OVHcloudRISQconsoleconnectdcexpdigitalrealtyedgeequinixfibrenoiregoogleintercloudinternalinterxionmegaportorangeService Key status
activecancelleddoingterminatedtoCheckExample uses serviceKeyId = 0, serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ serviceKey/ {serviceKeyId}/ regenerate \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "key": "string", "provider": "OVHcloud", "status": "active"}
Delete circuitProduction
Dissociates the pairing key and removes the circuit (async task).
Path parameters
Id
Service name
Response
Task function
addDatacenterConfigurationaddDatacenterExtraConfigurationaddPopConfigurationaddVrackconsumePairingKeydelDatacenterConfigurationdelDatacenterExtraConfigurationdelPopConfigurationdeleteCircuitdiagAccessEdgediagMacsdiagPeeringdiagPeeringExtradiagRouteslockInterfaceremoveVrackresetEdgeConfigurationunlockInterfaceTask id
Reference of the created resource
Task status
denieddoingdoneerrorpausetodoExample uses id = 0, serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ovhCloudConnect/ {serviceName}/ circuit/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "addDatacenterConfiguration", "id": 0, "resourceId": 0, "status": "denied"}